vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 6
声望: 0

安装的时候requirements.txt文件里有句dataclasses; python_version<="3.6"
也就是pip install -r dataclasses; python_version<="3.6"
这句的意思是如果python版本小于等于3.6才安装dataclasses吗?

另外,还有类似一句
ta-lib; platform_system=="Unix"
http://conda.vnpy.com/pip/wheels/TA_Lib-0.4.17-cp37-cp37m-win_amd64.whl; platform_system=="Windows"
这句的的意思也是分号后面的是判断条件吗?

Administrator
avatar
加入于:
帖子: 1441
声望: 63

没错,3.7自带了dataclasses。

talib这个是因为ubuntu和windows要采用不同的安装方式

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3